package com.bocloud.cmp.model;

import java.util.List;
import java.util.Map;

/**
 * 交换机模型业务类
 *
 * @author weiwei
 */
public class SwitcherModel {
    private String uuid;
    private String name; // 交换机名称
    private String status;// 状态
    private String bondName;
    private String bondMode;
    private String ovsbrName; // ovs网桥名称
    private String remark;
    private String type; // 交换机类型
    private Integer portNum; // 端口组数量
    private String switcherVal; // value值
    private List<PortGroupModel> groups;
    private Map<String, List<String>> hostNetworkCards;
    private NetworkModel network;
    private List<NetworkModel> networks;

    private String clusterUuid;

    public String getClusterUuid() {
        return clusterUuid;
    }

    public void setClusterUuid(String clusterUuid) {
        this.clusterUuid = clusterUuid;
    }

    public String getBondName() {
        return bondName;
    }

    public void setBondName(String bondName) {
        this.bondName = bondName;
    }

    public String getBondMode() {
        return bondMode;
    }

    public void setBondMode(String bondMode) {
        this.bondMode = bondMode;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the status
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * @param type the type to set
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * @return the portNum
     */
    public Integer getPortNum() {
        return portNum;
    }

    /**
     * @param portNum the portNum to set
     */
    public void setPortNum(Integer portNum) {
        this.portNum = portNum;
    }

    /**
     * @return the switcherVal
     */
    public String getSwitcherVal() {
        return switcherVal;
    }

    /**
     * @param switcherVal the switcherVal to set
     */
    public void setSwitcherVal(String switcherVal) {
        this.switcherVal = switcherVal;
    }

    /**
     * @return the groups
     */
    public List<PortGroupModel> getGroups() {
        return groups;
    }

    /**
     * @param groups the groups to set
     */
    public void setGroups(List<PortGroupModel> groups) {
        this.groups = groups;
    }

    /**
     * @return the network
     */
    public NetworkModel getNetwork() {
        return network;
    }

    /**
     * @param network the network to set
     */
    public void setNetwork(NetworkModel network) {
        this.network = network;
    }

    public SwitcherModel() {
        super();
    }

    public Map<String, List<String>> getHostNetworkCards() {
        return hostNetworkCards;
    }

    public void setHostNetworkCards(Map<String, List<String>> hostNetworkCards) {
        this.hostNetworkCards = hostNetworkCards;
    }

    public List<NetworkModel> getNetworks() {
        return networks;
    }

    public void setNetworks(List<NetworkModel> networks) {
        this.networks = networks;
    }

    public SwitcherModel(String name, String status, String type, Integer portNum, String switcherVal,
                         List<PortGroupModel> groups) {
        super();
        this.name = name;
        this.status = status;
        this.type = type;
        this.portNum = portNum;
        this.switcherVal = switcherVal;
        this.groups = groups;
    }

    public String getOvsbrName() {
        return ovsbrName;
    }

    public void setOvsbrName(String ovsbrName) {
        this.ovsbrName = ovsbrName;
    }
}
